'\" Copyright (c) 1994 The Board of Trustees of The Leland Stanford
'\" Junior University.  All rights reserved.
'\" 
'\" Permission to use, copy, modify and distribute this software and its
'\" documentation for any purpose is hereby granted without fee, provided
'\" that the above copyright notice and this permission notice appear in
'\" all copies of this software and that you do not sell the software.
'\" Commercial licensing is available by contacting the author.
'\" 
'\" THE SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY OF ANY KIND,
'\" EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
'\" WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
'\" 
'\" Author:
'\"    Phil Lacroute
'\"    Computer Systems Laboratory
'\"    Electrical Engineering Dept.
'\"    Stanford University
'\" 
'\" $Date: 1994/12/31 19:49:53 $
'\" $Revision: 1.1 $
'\"
'\" Macros
'\" .FS <type>  --  function start
'\"     <type> is return type of function
'\"     name and arguments follow on next line
.de FS
.PD 0v
.PP
\\$1
.HP 8
..
'\" .FA  --  function arguments
'\"     one argument declaration follows on next line
.de FA
.IP " " 4
..
'\" .FE  --  function end
'\"     end of function declaration
.de FE
.PD
..
'\" .DS  --  display start
.de DS
.IP " " 4
..
'\" .DE  --  display done
.de DE
.LP
..
.TH vpGetLight 3 "" VolPack
.SH NAME
vpGetLight \- get lighting properties
.SH SYNOPSIS
#include <volpack.h>
.sp
.FS vpResult
\fBvpGetLight(\fIvpc, light_num, property, n0_ptr, n1_ptr, n2_ptr\fB)\fR
.FA
vpContext *\fIvpc;\fR
.FA
int \fIlight_num;\fR
.FA
int \fIproperty;\fR
.FA
double *\fIn0_ptr,\fR *\fIn1_ptr,\fR *\fIn2_ptr;\fR
.FE
.SH ARGUMENTS
.IP \fIvpc\fR
VolPack context from \fBvpCreateContext.\fR
.IP \fIlight_num\fR
A constant specifying a particular light source (VP_LIGHT0, VP_LIGHT1, ...,
VP_LIGHT5).
.IP \fIproperty\fR
A constant specifying one lighting property (VP_COLOR or VP_DIRECTION).
.IP "\fIn0_ptr, n1_ptr, n2_ptr\fR"
Locations for storing the result: components of an RGB color (for
VP_COLOR) or a direction vector (for VP_DIRECTION).
.SH DESCRIPTION
\fBvpGetLight\fR is used to get the properties of a light source.
The arguments are exactly analogous to \fBvpSetLight\fR except that
the final three arguments are pointers to locations for storing the
lighting properties.
.SH ERRORS
The normal return value is VP_OK.  The following error return values
are possible:
.IP VPERROR_LIMIT_EXCEEDED
The light number is invalid or exceeds an implementation limit.
.IP VPERROR_BAD_OPTION
The \fIproperty\fR argument is invalid.
.SH SEE ALSO
VolPack(3), vpCreateContext(3), vpSetLight(3)
